Create an XML parser

- « xml_parser_create_ns

- xml_parser_free »

- PHP Manual
- XML Parser Functions
- Create an XML parser

# xml_parser_create

(PHP 4, PHP 5, PHP 7, PHP 8)

xml_parser_create — Create an XML parser

### Description

xml_parser_create(?string `$encoding` = `null`): XMLParser

xml_parser_create() creates a new XML parser and returns a XMLParser instance to be used by the other XML functions.

### Parameters

`encoding`

  The input encoding is automatically detected, so that the `encoding` parameter specifies only the output encoding. If empty string is passed, the parser attempts to identify which encoding the document is encoded in by looking at the heading 3 or 4 bytes. The default output charset is UTF-8. The supported encodings are `ISO-8859-1`, `UTF-8` and `US-ASCII`.

### Return Values

Returns a new XMLParser instance.

### Changelog

Version | Description
--- | ---
8.0.0 | This function returns an XMLParser instance now; previously, a resource was returned, or `false` on failure.
8.0.0 | `encoding` is nullable now.

### See Also

- xml_parser_create_ns() - Create an XML parser with namespace support
- xml_parser_free() - Free an XML parser